Subject: bug#2807: Subject: 23.0.90; etags can't access .el.gz files

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 07 Oct 2011 12:25:07 +0200

Stefan Monnier <[email-masked]> writes:

>>        (".info.xz"   . "unxz")
>>        (".info"      . nil)
>>        ("-info.Z"    . "uncompress")
>>        ("-info.Y"    . "unyabba")
>
> Yes.
>
>> etc etc etc.  Is this even necessary in Info?
>
> It's just as necessary as it is for etags: without it, Info won't find
> the compressed files.
>
>> Doesn't jka-compr know all about this already?
>
> jka-compr knows how to decompress the main ones, yes.  But not all of
> them, and (more importantly) it doesn't know how to look for them.

Sorry; I was unclear.  I meant: Doesn't jka-compr know how to uncompress
all these files already?

And if not -- why not?

Finding the files is a different issue, and since the file name list
contains "info" in all the names, there isn't much potential for reuse
by etags.

So I would suggest writing some code in jka-compr that would allow
jka-compr to look for compressed files, too (given a regexp), and then
etags could use that, and info.el could be converted (after Emacs 24.1)
to use that, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/